<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:07 AEST 2019 -->
<title>Request (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Request (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":9,"i5":9,"i6":10,"i7":10,"i8":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../com/sk89q/worldedit/session/request/RequestExtent.html" title="class in com.sk89q.worldedit.session.request"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/session/request/Request.html" target="_top">Frames</a></li>
<li><a href="Request.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.session.request</div>
<h2 title="Class Request" class="title">Class Request</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.session.request.Request</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">Request</span>
extends java.lang.Object</pre>
<div class="block">Describes the current request using a <code>ThreadLocal</code>.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/session/request/Request.html#getEditSession--">getEditSession</a></span>()</code>
<div class="block">Get the <a href="../../../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit"><code>EditSession</code></a>.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/session/request/Request.html#getSession--">getSession</a></span>()</code>
<div class="block">Get the request session.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/session/request/Request.html#getWorld--">getWorld</a></span>()</code>
<div class="block">Get the request world.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/session/request/Request.html#isValid--">isValid</a></span>()</code>
<div class="block">Check if the current request object is still valid.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../com/sk89q/worldedit/session/request/Request.html" title="class in com.sk89q.worldedit.session.request">Request</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/session/request/Request.html#request--">request</a></span>()</code>
<div class="block">Get the current request, which is specific to the current thread.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/session/request/Request.html#reset--">reset</a></span>()</code>
<div class="block">Reset the current request and clear all fields.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/session/request/Request.html#setEditSession-com.sk89q.worldedit.EditSession-">setEditSession</a></span>(<a href="../../../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a>&nbsp;editSession)</code>
<div class="block">Set the <a href="../../../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit"><code>EditSession</code></a>.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/session/request/Request.html#setSession-com.sk89q.worldedit.LocalSession-">setSession</a></span>(<a href="../../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session)</code>
<div class="block">Get the request session.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/session/request/Request.html#setWorld-com.sk89q.worldedit.world.World-">setWorld</a></span>(<a href="../../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a>&nbsp;world)</code>
<div class="block">Set the request world.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getWorld--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getWorld</h4>
<pre>@Nullable
public&nbsp;<a href="../../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a>&nbsp;getWorld()</pre>
<div class="block">Get the request world.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the world, which may be null</dd>
</dl>
</li>
</ul>
<a name="setWorld-com.sk89q.worldedit.world.World-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setWorld</h4>
<pre>public&nbsp;void&nbsp;setWorld(@Nullable
                     <a href="../../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a>&nbsp;world)</pre>
<div class="block">Set the request world.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>world</code> - the world, which may be null</dd>
</dl>
</li>
</ul>
<a name="getSession--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSession</h4>
<pre>@Nullable
public&nbsp;<a href="../../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;getSession()</pre>
<div class="block">Get the request session.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the session, which may be null</dd>
</dl>
</li>
</ul>
<a name="setSession-com.sk89q.worldedit.LocalSession-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setSession</h4>
<pre>public&nbsp;void&nbsp;setSession(@Nullable
                       <a href="../../../../../com/sk89q/worldedit/LocalSession.html" title="class in com.sk89q.worldedit">LocalSession</a>&nbsp;session)</pre>
<div class="block">Get the request session.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>session</code> - the session, which may be null</dd>
</dl>
</li>
</ul>
<a name="getEditSession--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEditSession</h4>
<pre>@Nullable
public&nbsp;<a href="../../../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a>&nbsp;getEditSession()</pre>
<div class="block">Get the <a href="../../../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit"><code>EditSession</code></a>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the edit session, which may be null</dd>
</dl>
</li>
</ul>
<a name="setEditSession-com.sk89q.worldedit.EditSession-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setEditSession</h4>
<pre>public&nbsp;void&nbsp;setEditSession(@Nullable
                           <a href="../../../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit">EditSession</a>&nbsp;editSession)</pre>
<div class="block">Set the <a href="../../../../../com/sk89q/worldedit/EditSession.html" title="class in com.sk89q.worldedit"><code>EditSession</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>editSession</code> - the edit session, which may be null</dd>
</dl>
</li>
</ul>
<a name="request--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>request</h4>
<pre>public static&nbsp;<a href="../../../../../com/sk89q/worldedit/session/request/Request.html" title="class in com.sk89q.worldedit.session.request">Request</a>&nbsp;request()</pre>
<div class="block">Get the current request, which is specific to the current thread.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the current request</dd>
</dl>
</li>
</ul>
<a name="reset--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>reset</h4>
<pre>public static&nbsp;void&nbsp;reset()</pre>
<div class="block">Reset the current request and clear all fields.</div>
</li>
</ul>
<a name="isValid--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>isValid</h4>
<pre>public&nbsp;boolean&nbsp;isValid()</pre>
<div class="block">Check if the current request object is still valid. Invalid requests may contain outdated values.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the request is valid</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../com/sk89q/worldedit/session/request/RequestExtent.html" title="class in com.sk89q.worldedit.session.request"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/session/request/Request.html" target="_top">Frames</a></li>
<li><a href="Request.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
